Package com.google.earth.kml._2

# Class PolyStyleType

java.lang.Object
com.google.earth.kml._2.ObjectType
com.google.earth.kml._2.ColorStyleType
com.google.earth.kml._2.PolyStyleType

public class PolyStyleType extends ColorStyleType
<p>Java class for PolyStyleType complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="PolyStyleType"> <complexContent> <extension base="{http://earth.google.com/kml/2.1}ColorStyleType"> <sequence> <element name="fill" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/> <element name="outline" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/> </sequence> </extension> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Boolean`
  `fill`
  `protected Boolean`
  `outline`

  ### Fields inherited from class com.google.earth.kml._2.ColorStyleType

  `color, colorMode`

  ### Fields inherited from class com.google.earth.kml._2.ObjectType

  `id, targetId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PolyStyleType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Boolean`
  `isFill()`
  Gets the value of the fill property.
  `Boolean`
  `isOutline()`
  Gets the value of the outline property.
  `void`
  `setFill(Boolean value)`
  Sets the value of the fill property.
  `void`
  `setOutline(Boolean value)`
  Sets the value of the outline property.

  ### Methods inherited from class com.google.earth.kml._2.ColorStyleType

  `getColor, getColorMode, setColor, setColorMode`

  ### Methods inherited from class com.google.earth.kml._2.ObjectType

  `getId, getTargetId, setId, setTargetId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### fill

    protected Boolean fill

  - ### outline

    protected Boolean outline

- ## Constructor Details

  - ### PolyStyleType

    public PolyStyleType()

- ## Method Details

  - ### isFill

    public Boolean isFill()
    Gets the value of the fill property.
    Returns:
      possible object is `Boolean`

  - ### setFill

    public void setFill(Boolean value)
    Sets the value of the fill property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### isOutline

    public Boolean isOutline()
    Gets the value of the outline property.
    Returns:
      possible object is `Boolean`

  - ### setOutline

    public void setOutline(Boolean value)
    Sets the value of the outline property.
    Parameters:
      `value` - allowed object is `Boolean`